# Memory items by scope, kind and state

`GET /memory/items` · Rivier · memory

Memory items by scope, kind and state.

- Scope: memory:read
- Mcp: rivier_personas_memory_list
- Graphql: Query.memoryItemList
- Sdk: memory.item.list
- Cli: memory item list

## Parameters

- `level` (query), string
- `scopeId` (query), string
- `state` (query), string
- `kind` (query), string
- `q` (query), string
- `agentId` (query), string
- `limit` (query), integer

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/memory/items' \
  -H 'Authorization: Bearer $KEY'
```
